# SPDX-FileCopyrightText: 2025 Ncam Gnrvngu <info@ncamgnrvngu.eu>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

on:
  push:
    branches:
      - master
jobs:
  build:
    runs-on: docker
    container:
      image: git.ncamgnrvngu.eu/ncamgnrvngu/kaniko-lfs:1.14.0
    steps:
      - run: 'echo { \"auths\": { \"git.ncamgnrvngu.eu\": { \"auth\": \"$(echo -n ncamgnrvngu:${{ secrets.DOCKER_TOKEN }} | base64)\" } } } > /kaniko/.docker/config.json'
      - run: 'git clone https://git.ncamgnrvngu.eu/NcamGnrvngu/website.git'
      - run: '/kaniko/executor --context "website" --dockerfile "Dockerfile" --destination "git.ncamgnrvngu.eu/ncamgnrvngu/website:latest"'
